From: [email-masked]
Date: Thu, 27 Jun 1991 10:02:59 GMT

To Zhuopeng Feng, Melbourn and others interested in the question
he asked in a email contribution.

Mr. Zhuopeng Feng asked for Chinese document retrieval systems.

I think there are several systems available of which I know:

1. CDS-ISIS: a generalized Information Storage and Retrieval System
             designed spcifically for the computerized managemnt of
             structured non-numerical data bases.

This system was developed by the Division of Software Development
and Applications Office of Information Programmes and Services
in the UNESCO.

Originally developed for non-numerical "western" data, especially
management of documents. I tried to run it with the ET-system
from Taiwan, in finally had no problems in inputting and retrieving
the Chinese data. I had just to change two tables:
- the Uppercase conversion table, which is responsible for
  correct ordering of entries. For Chinese material there shoud
  be no reordering.
- the alphabetic characters table, which should contain all the
  ASCII-characters used in the BIG-5 code (standard plus ASCII-161
  to ASCII-255.
These lists can be changed with an ordinary text editor.

After these changes you can begin define the fields for your
document system, define the fields which should be indexed etc.
Of course you have some limitations, e.g. as one of the possible
indexing techniques you can define all the words in a field except
the words in the list with the stop words. This does not work with
Chinese, since in Chinese one does not have spaces to separeate words.
One can get around with an extra field, in which there are collected
all the catch words delimited with "<" and ">".

You have all the possiblities of formattin the output including producing
TeX-files for fine printing.

Educational institutions can get the system (including a voluminous
users' guide) free from:
 UNESCO                                   tel: 33.1.45.68.10.00
 Software Development and Applications    fax: 33.1.45.67.90
 7, place de Fontenoy
 75700 Paris
 France

In the PR China this ISIS-system has been adapted to use with
GB 2312 code. I have not seen the system, but I think the indexing
system will be somewhat more handy for Chinese than the purely western
system. The system seems not to be availble free as the one from
UNESCO. I think I have some clippings on this version from some
Chinese computer papers. If interested, please tell me.

2. ALLEGRO: This is a very elaborate library system developed
            in Hannover-labrary. This system seems also to work
with ET and even certain versions of CCDOS developed in Germany
(Hu Bo in Munich). A Heidelberg librarian (Thomas Hahn) at the
sinological Institute is experimenting with it. I am sure he will
write a report (if successful) for "Chinesisch und Computer".
The ALLEGRO-system will cost only a few hundred marks.

For the ALEEGRO-system write to:
 Bernhard Eversberg
 Universitaetsbibliothek der
 TU Braunschweig
 Pockelstrasse 13
 W-3300 Braunschweig
 Germany

have a nice day

urs, Bremen